% author:  Kazantsev Fedor (kazfdr@bionet.nsc.ru)
% copyright LTG ICG SB RAS 2012

% updates: modelsgroup.bionet.nsc.ru
% version: 1.0.0

% that function generates animation of selected substance template

function Frames = movieOfSingleTemplate(  result,frameStep, printTemplate, outRow, outCol)


 % view parameters
 viewAz = 200;
 viewAng = 35;

% result size
 [rows cols] = size(result);

% the last is for the last dot result
 frameSize = floor(rows/frameStep)+1; 
 Frames(frameSize) = struct('cdata',[],'colormap',[]); 
 currentFrame = 1;
 currentSlice = 1;
 while currentFrame < frameSize   
   resultSlice = result(currentSlice,:);  
   
   resultMatrix = sortByTemplate(resultSlice,printTemplate,outRow,outCol);      

   bar3(resultMatrix);
   title(int2str(currentFrame));
   view(viewAz,viewAng);
   
   Frames(currentFrame) = getframe();
   
   currentFrame = currentFrame+1;
   currentSlice = currentSlice + frameStep;
 end
 % the last dot
 resultSlice = result(rows,:);
 resultMatrix = sortByTemplate(resultSlice,printTemplate,outRow,outCol);


 bar3(resultMatrix);
 title('end point');
 view(viewAz,viewAng);
 Frames(frameSize) = getframe;
end

